Bug 128968 - KDE CC/Keyboard Layout settings lost at logout
Summary: KDE CC/Keyboard Layout settings lost at logout
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdeadmin (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-02 12:54 UTC by Harald Vogt
Modified: 2016-06-30 09:43 UTC (History)
0 users

Fixed In Version: RHEL4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-24 12:58:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harald Vogt 2004-08-02 12:54:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
In the KDE Control Center -> Regional & Accessibility -> Keyboard
Layout -> Options panel, there is the setting for "Control Key
Position". It offers the option "Make CapsLock an additional Control".
If this option is selected, it works just fine, but after logging out
and logging in again, it does not work anymore, even though the
setting is still selected on the panel. Re-selecting it and pushing
the "Apply" button activates the setting again, but only until the
next logout.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Select the setting "Make CapsLock an additional Control"
2. Test in a console window by pressing "CapsLock-C" (same effect as
Ctrl-C)
3. Logout and login again
4. Test in a console window; pressing "CapsLock" now gives capital letters
5. Open KDE Control Center, Keyboard Layout; option is still selected
6. Re-select and "Apply"
7. Go to step 2
    

Actual Results:  After reboot or logout, the setting is lost.

Expected Results:  The setting should be persistent, as suggested by
the selection on the option panel.

Additional info:

Comment 1 Ngo Than 2006-05-24 12:58:34 UTC
It's not reproduzierbar in KDE frm current RHEL4


Note You need to log in before you can comment on or make changes to this bug.